- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
libvisio::VisioDocument Class Reference

`#include <VisioDocument.h>`

## Static Public Member Functions
static bool | isSupported (WPXInputStream *input)
| Analyzes the content of an input stream to see if it can be parsed. More...
static bool | parse (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
| Parses the input stream content. More...
static bool | parseStencils (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
| Parses the input stream content and extracts stencil pages, one stencil page per output page. More...
static bool | generateSVG (WPXInputStream *input, VSDStringVector &output)
| Parses the input stream content and generates a valid Scalable Vector Graphics Provided as a convenience function for applications that support SVG internally. More...
static bool | generateSVGStencils (WPXInputStream *input, VSDStringVector &output)
| Parses the input stream content and extracts stencil pages. More...

## Member Function Documentation

bool libvisio::VisioDocument::generateSVG | ( | WPXInputStream * | input,
|  | VSDStringVector & | output
| ) |  |
| static

Parses the input stream content and generates a valid Scalable Vector Graphics Provided as a convenience function for applications that support SVG internally.

Parameters

  input | The input stream
  output | The output string whose content is the resulting SVG

Returns
  A value that indicates whether the SVG generation was successful.

bool libvisio::VisioDocument::generateSVGStencils | ( | WPXInputStream * | input,
|  | VSDStringVector & | output
| ) |  |
| static

Parses the input stream content and extracts stencil pages.

It generates a valid Scalable Vector Graphics document per stencil. Provided as a convenience function for applications that support SVG internally.

Parameters

  input | The input stream
  output | The output string whose content is the resulting SVG

Returns
  A value that indicates whether the SVG generation was successful.

bool libvisio::VisioDocument::isSupported | ( | WPXInputStream * | input | ) |
| static

Analyzes the content of an input stream to see if it can be parsed.

Parameters

  input | The input stream

Returns
  A value that indicates whether the content from the input stream is a Visio Document that libvisio able to parse

bool libvisio::VisioDocument::parse | ( | WPXInputStream * | input,
|  | libwpg::WPGPaintInterface * | painter
| ) |  |
| static

Parses the input stream content.

It will make callbacks to the functions provided by a WPGPaintInterface class implementation when needed. This is often commonly called the 'main parsing routine'.

Parameters

  input | The input stream
  painter | A WPGPainterInterface implementation

Returns
  A value that indicates whether the parsing was successful

Referenced by generateSVG().

bool libvisio::VisioDocument::parseStencils | ( | WPXInputStream * | input,
|  | libwpg::WPGPaintInterface * | painter
| ) |  |
| static

Parses the input stream content and extracts stencil pages, one stencil page per output page.

It will make callbacks to the functions provided by a WPGPaintInterface class implementation when needed.

Parameters

  input | The input stream
  painter | A WPGPainterInterface implementation

Returns
  A value that indicates whether the parsing was successful

Referenced by generateSVGStencils().

The documentation for this class was generated from the following files:

- VisioDocument.h
- VisioDocument.cpp